<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema elementFormDefault="qualified"
   targetNamespace="http://brz.gv.at/ezoll/V01"
   xmlns="http://brz.gv.at/ezoll/V01" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
   <xsd:include schemaLocation="eZollTags.xsd"/>
   <xsd:annotation>
      <xsd:documentation xml:lang="de">Schema zu TR100</xsd:documentation>
   </xsd:annotation>
   <xsd:element name="MsgTyp">
      <xsd:simpleType>
         <xsd:restriction base="xsd:string">
            <xsd:enumeration value="TR100"/>
         </xsd:restriction>
      </xsd:simpleType>
   </xsd:element>
   <xsd:element name="Msg">
      <xsd:complexType>
         <xsd:sequence>
            <xsd:element ref="MsgSdr"/>
            <xsd:element ref="MsgRcp"/>
            <xsd:element ref="PrepDT"/>
            <xsd:element ref="ICRef"/>
            <xsd:element ref="Appl"/>
            <xsd:element ref="Test"/>
            <xsd:element ref="MsgTyp"/>
            <xsd:element name="Refs">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="LRN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element maxOccurs="99" minOccurs="0" name="UCRs">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="UCR"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element name="Hea">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="DecTy"/>
                     <xsd:element ref="TotItem"/>
                     <xsd:element minOccurs="0" ref="TotPack"/>
                     <xsd:element ref="TotGross"/>
                     <xsd:element minOccurs="0" ref="DepLNG"/>
                     <xsd:element ref="NCTSLNG"/>
                     <xsd:element ref="Simp"/>
                     <xsd:element minOccurs="0" ref="AuthID"/>
                     <xsd:element ref="TransDat"/>
                     <xsd:element minOccurs="0" ref="SecInd"/>
                     <xsd:element minOccurs="0" ref="SpecCirc"/>
                     <xsd:element minOccurs="0" ref="TransPayTy"/>
                     <xsd:element minOccurs="0" ref="ComRef"/>
                     <xsd:element minOccurs="0" ref="ConvRef"/>
                     <xsd:element ref="DecDT"/>
                     <xsd:element ref="DecPlc"/>
                     <xsd:element minOccurs="0" ref="DecPlcLNG"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element name="Locs">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element minOccurs="0" ref="Disp"/>
                     <xsd:element minOccurs="0" ref="Dest"/>
                     <xsd:element minOccurs="0" ref="GdsLocCd"/>
                     <xsd:element minOccurs="0" ref="GdsLocAuth"/>
                     <xsd:element minOccurs="0" ref="LoadPlcCd"/>
                     <xsd:element minOccurs="0" ref="CustPlc"/>
                     <xsd:element minOccurs="0" ref="UnloadPlc"/>
                     <xsd:element minOccurs="0" ref="UnloadPlcLNG"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="Transp">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="InMo"/>
                     <xsd:element minOccurs="0" ref="BordMo"/>
                     <xsd:element minOccurs="0" ref="DepTy"/>
                     <xsd:element minOccurs="0" ref="DepIdnt"/>
                     <xsd:element minOccurs="0" ref="DepIdntLNG"/>
                     <xsd:element minOccurs="0" ref="DepNat"/>
                     <xsd:element minOccurs="0" ref="CrossTy"/>
                     <xsd:element minOccurs="0" ref="CrossIdnt"/>
                     <xsd:element minOccurs="0" ref="CrossIdntLNG"/>
                     <xsd:element minOccurs="0" ref="CrossIdntNat"/>
                     <xsd:element ref="ContInd"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element name="PrincTra">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element minOccurs="0" ref="Na"/>
                     <xsd:element minOccurs="0" ref="Strt"/>
                     <xsd:element minOccurs="0" ref="Pst"/>
                     <xsd:element minOccurs="0" ref="Cty"/>
                     <xsd:element minOccurs="0" ref="Ctry"/>
                     <xsd:element minOccurs="0" ref="LNG"/>
                     <xsd:element minOccurs="0" ref="TIN"/>
                     <xsd:element minOccurs="0" ref="TIRHID"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="ConorTra">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element minOccurs="0" ref="Na"/>
                     <xsd:element minOccurs="0" ref="Strt"/>
                     <xsd:element minOccurs="0" ref="Pst"/>
                     <xsd:element minOccurs="0" ref="Cty"/>
                     <xsd:element minOccurs="0" ref="Ctry"/>
                     <xsd:element minOccurs="0" ref="LNG"/>
                     <xsd:element minOccurs="0" ref="TIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="ConeeTra">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element minOccurs="0" ref="Na"/>
                     <xsd:element minOccurs="0" ref="Strt"/>
                     <xsd:element minOccurs="0" ref="Pst"/>
                     <xsd:element minOccurs="0" ref="Cty"/>
                     <xsd:element minOccurs="0" ref="Ctry"/>
                     <xsd:element minOccurs="0" ref="LNG"/>
                     <xsd:element minOccurs="0" ref="TIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="ConorSecTra">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element minOccurs="0" ref="Na"/>
                     <xsd:element minOccurs="0" ref="Strt"/>
                     <xsd:element minOccurs="0" ref="Pst"/>
                     <xsd:element minOccurs="0" ref="Cty"/>
                     <xsd:element minOccurs="0" ref="Ctry"/>
                     <xsd:element minOccurs="0" ref="LNG"/>
                     <xsd:element minOccurs="0" ref="TIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="ConeeSecTra">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element minOccurs="0" ref="Na"/>
                     <xsd:element minOccurs="0" ref="Strt"/>
                     <xsd:element minOccurs="0" ref="Pst"/>
                     <xsd:element minOccurs="0" ref="Cty"/>
                     <xsd:element minOccurs="0" ref="Ctry"/>
                     <xsd:element minOccurs="0" ref="LNG"/>
                     <xsd:element minOccurs="0" ref="TIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="CarrTra">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element minOccurs="0" ref="Na"/>
                     <xsd:element minOccurs="0" ref="Strt"/>
                     <xsd:element minOccurs="0" ref="Pst"/>
                     <xsd:element minOccurs="0" ref="Cty"/>
                     <xsd:element minOccurs="0" ref="Ctry"/>
                     <xsd:element minOccurs="0" ref="LNG"/>
                     <xsd:element minOccurs="0" ref="TIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="AuthCsgeeTrad">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="TIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="DesTra">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="TIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element name="Represent">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="RIN"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element maxOccurs="9" name="Grtee">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="GTy"/>
                     <xsd:element maxOccurs="99" minOccurs="0" name="GrteeRef">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="GRN"/>
                              <xsd:element minOccurs="0" ref="OGR"/>
                              <xsd:element minOccurs="0" ref="Acc"/>
                              <xsd:element minOccurs="0" ref="GTIN"/>
                              <xsd:element minOccurs="0" ref="GVal"/>
                              <xsd:element minOccurs="0" ref="Curr"/>
                              <xsd:element minOccurs="0" name="VaLimEC">
                                 <xsd:complexType>
                                    <xsd:sequence>
                                    <xsd:element ref="NValEC"/>
                                    </xsd:sequence>
                                 </xsd:complexType>
                              </xsd:element>
                              <xsd:element maxOccurs="99" minOccurs="0" name="VaLimNEC">
                                 <xsd:complexType>
                                    <xsd:sequence>
                                    <xsd:element ref="NVal"/>
                                    </xsd:sequence>
                                 </xsd:complexType>
                              </xsd:element>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element name="DepCO">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="Ref"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element maxOccurs="9" minOccurs="0" name="TranCO">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="Ref"/>
                     <xsd:element minOccurs="0" ref="TranArrDT"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element name="DestCO">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="Ref"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element maxOccurs="999" name="GdsItem">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="ItNr"/>
                     <xsd:element minOccurs="0" ref="Dec"/>
                     <xsd:element minOccurs="0" ref="ComCd"/>
                     <xsd:element ref="GdsDes"/>
                     <xsd:element minOccurs="0" ref="LNG"/>
                     <xsd:element minOccurs="0" ref="Gross"/>
                     <xsd:element minOccurs="0" ref="Net"/>
                     <xsd:element minOccurs="0" ref="TransPayTy"/>
                     <xsd:element minOccurs="0" ref="ComRef"/>
                     <xsd:element minOccurs="0" ref="UNDangCd"/>
                     <xsd:element minOccurs="0" name="Locs">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="Disp"/>
                              <xsd:element minOccurs="0" ref="Dest"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element minOccurs="0" name="ConorTra">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="Na"/>
                              <xsd:element minOccurs="0" ref="Strt"/>
                              <xsd:element minOccurs="0" ref="Pst"/>
                              <xsd:element minOccurs="0" ref="Cty"/>
                              <xsd:element minOccurs="0" ref="Ctry"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element minOccurs="0" ref="TIN"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element minOccurs="0" name="ConeeTra">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="Na"/>
                              <xsd:element minOccurs="0" ref="Strt"/>
                              <xsd:element minOccurs="0" ref="Pst"/>
                              <xsd:element minOccurs="0" ref="Cty"/>
                              <xsd:element minOccurs="0" ref="Ctry"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element minOccurs="0" ref="TIN"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element minOccurs="0" name="ConorSecTra">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="Na"/>
                              <xsd:element minOccurs="0" ref="Strt"/>
                              <xsd:element minOccurs="0" ref="Pst"/>
                              <xsd:element minOccurs="0" ref="Cty"/>
                              <xsd:element minOccurs="0" ref="Ctry"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element minOccurs="0" ref="TIN"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element minOccurs="0" name="ConeeSecTra">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="Na"/>
                              <xsd:element minOccurs="0" ref="Strt"/>
                              <xsd:element minOccurs="0" ref="Pst"/>
                              <xsd:element minOccurs="0" ref="Cty"/>
                              <xsd:element minOccurs="0" ref="Ctry"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element minOccurs="0" ref="TIN"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element maxOccurs="99" minOccurs="0" name="Container">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element ref="CNr"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element maxOccurs="99" name="Pack">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="Mark"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element ref="Kind"/>
                              <xsd:element minOccurs="0" ref="Nr"/>
                              <xsd:element minOccurs="0" ref="Piec"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element maxOccurs="9" minOccurs="0" name="SupplUnt">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element ref="Unit"/>
                              <xsd:element ref="SUQuant"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element maxOccurs="9" minOccurs="0" name="PrevAdmRef">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element ref="PDTy"/>
                              <xsd:element ref="DRef"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element minOccurs="0" ref="CInf"/>
                              <xsd:element minOccurs="0" ref="InfoLNG"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element maxOccurs="99" minOccurs="0" name="DocCerts">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element ref="DocCd"/>
                              <xsd:element minOccurs="0" ref="DTy"/>
                              <xsd:element minOccurs="0" ref="RefLNG"/>
                              <xsd:element minOccurs="0" ref="DRef"/>
                              <xsd:element minOccurs="0" ref="IssD"/>
                              <xsd:element minOccurs="0" ref="IssCtry"/>
                              <xsd:element minOccurs="0" ref="Na"/>
                              <xsd:element minOccurs="0" ref="Strt"/>
                              <xsd:element minOccurs="0" ref="Pst"/>
                              <xsd:element minOccurs="0" ref="Cty"/>
                              <xsd:element minOccurs="0" ref="Ctry"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element minOccurs="0" ref="DTIN"/>
                              <xsd:element minOccurs="0" ref="UidVid"/>
                              <xsd:element minOccurs="0" ref="IssAdm"/>
                              <xsd:element minOccurs="0" ref="ValD"/>
                              <xsd:element minOccurs="0" ref="MaxValD"/>
                              <xsd:element minOccurs="0" ref="CInf"/>
                              <xsd:element minOccurs="0" ref="InfoLNG"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element maxOccurs="9" minOccurs="0" name="SGI">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="SGCd"/>
                              <xsd:element ref="Quant"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element maxOccurs="99" minOccurs="0" name="SpecMent">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element minOccurs="0" ref="Inf"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                              <xsd:element minOccurs="0" ref="Cd"/>
                              <xsd:element minOccurs="0" ref="ExEC"/>
                              <xsd:element minOccurs="0" ref="ExCtry"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="Seals">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="SNr"/>
                     <xsd:element maxOccurs="9999" name="ID">
                        <xsd:complexType>
                           <xsd:sequence>
                              <xsd:element ref="Idnt"/>
                              <xsd:element minOccurs="0" ref="LNG"/>
                           </xsd:sequence>
                        </xsd:complexType>
                     </xsd:element>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element minOccurs="0" name="CtrlRslt">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="ResCd"/>
                     <xsd:element ref="DLimit"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
            <xsd:element maxOccurs="99" minOccurs="0" name="Itin">
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element ref="RoutCtry"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
         </xsd:sequence>
      </xsd:complexType>
   </xsd:element>
</xsd:schema>
